Loading...
Searching...
No Matches
BALL::SmilesParser Class Reference

`#include <BALL/STRUCTURE/smilesParser.h>`

## Classes

class | SPBond
class | SPAtom
struct | State

## Public Types

enum | ZEIsomerType { NONE , Z , E }
enum | ChiralClass { NONCHIRAL , TH , AL , SP , TB , OH }
enum | { MAX_CONNECTIONS = 100 }
typedef std::pair< ChiralClass, Position > | ChiralDef
typedef std::list< Position > | ConnectionList

## Public Member Functions

Constructors and Destructors
| SmilesParser ()
| SmilesParser (const SmilesParser &parser)
virtual | ~SmilesParser ()
Parsing
void | parse (const String &s)
const System & | getSystem () const

## Methods required by the underlying YACC parser

static State | state
System | system_
std::vector< SPAtom * > | connections_
std::vector< SPAtom * > | all_atoms_
static SmilesParser * | current_parser_
SPAtom * | createAtom (const String &symbol, bool in_bracket=false)
void | createBonds (SPAtom *atom, const ConnectionList *list)
void | createBond (SPAtom *left, SPAtom *right, Index order)
void | addMissingHydrogens ()

## Detailed Description

Definition at line 36 of file smilesParser.h.

## Member Typedef Documentation

## ChiralDef

typedef std::pair<ChiralClass, Position> BALL::SmilesParser::ChiralDef

Definition at line 61 of file smilesParser.h.

## ConnectionList

typedef std::list<Position> BALL::SmilesParser::ConnectionList

Definition at line 112 of file smilesParser.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
MAX_CONNECTIONS |

Definition at line 56 of file smilesParser.h.

## ChiralClass

enum BALL::SmilesParser::ChiralClass

Enumerator
NONCHIRAL |
TH |
AL |
SP |
TB |
OH |

Definition at line 46 of file smilesParser.h.

## ZEIsomerType

enum BALL::SmilesParser::ZEIsomerType

Enumerator
NONE |
Z |
E |

Definition at line 39 of file smilesParser.h.

## Constructor & Destructor Documentation

## SmilesParser() [1/2]

BALL::SmilesParser::SmilesParser | ( |  | ) |

## SmilesParser() [2/2]

BALL::SmilesParser::SmilesParser | ( | const SmilesParser & | parser | ) |

## ~SmilesParser()

virtual BALL::SmilesParser::~SmilesParser | ( |  | ) |

virtual

## Member Function Documentation

## addMissingHydrogens()

void BALL::SmilesParser::addMissingHydrogens | ( |  | ) |

## createAtom()

SPAtom * BALL::SmilesParser::createAtom | ( | const String & | symbol,
|  | bool | in_bracket = false )

## createBond()

void BALL::SmilesParser::createBond | ( | SPAtom * | left,
|  | SPAtom * | right,
|  | Index | order )

## createBonds()

void BALL::SmilesParser::createBonds | ( | SPAtom * | atom,
|  | const ConnectionList * | list )

## getSystem()

const System & BALL::SmilesParser::getSystem | ( |  | ) | const

Return the parsed system

## parse()

void BALL::SmilesParser::parse | ( | const String & | s | ) |

Parse a SMILES string.

Exceptions

  BALL::Exception::ParserError |

## Member Data Documentation

## all_atoms_

std::vector<SPAtom*> BALL::SmilesParser::all_atoms_

protected

Definition at line 170 of file smilesParser.h.

## connections_

std::vector<SPAtom*> BALL::SmilesParser::connections_

protected

Definition at line 169 of file smilesParser.h.

## current_parser_

SmilesParser* BALL::SmilesParser::current_parser_

static protected

Definition at line 171 of file smilesParser.h.

## state

State BALL::SmilesParser::state

static

Definition at line 165 of file smilesParser.h.

## system_

System BALL::SmilesParser::system_

protected

Definition at line 168 of file smilesParser.h.